package tech.nevets.jaml.gui;

import tech.nevets.jaml.JAML;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class HomeGui implements Runnable, ActionListener {

    private JFrame frame;
    private JPanel panel;

    public void startGui() {
        frame = new JFrame();

        JButton button = new JButton("Create New Profile");
        button.addActionListener(this);

        panel = new JPanel();
        panel.setBorder(BorderFactory.createEmptyBorder(300, 300, 100, 300));
        panel.setLayout(new GridLayout(0, 1));

        panel.add(button);

        frame.add(panel, BorderLayout.CENTER);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setTitle("JAML");
        frame.setIconImage(new ImageIcon(JAML.path + "\\assets\\icon.png").getImage());
        frame.pack();
        frame.setVisible(true);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        JAML.guiHandler.startNewProfileGui();
    }

    @Override
    public void run() {
        startGui();
    }
}
