package tech.nevets.jaml.gui;

import tech.nevets.jaml.Config;

public class GuiHandler {

    public GuiHandler() {
        if (Config.CONFIG.getBoolean("launcher.first-launch")) {
            FirstLaunchGui firstLaunchGui = new FirstLaunchGui();
            Thread firstLaunchThread = new Thread(firstLaunchGui);
            firstLaunchThread.start();
        }

        HomeGui homeGui = new HomeGui();
        Thread homeGuiThread = new Thread(homeGui);
        homeGuiThread.start();
    }

    public void startNewProfileGui() {
        NewProfileGui newProfileGui = new NewProfileGui();
        Thread newProfileGuiThread = new Thread(newProfileGui);
        newProfileGuiThread.start();
    }

}
